<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="CosLoadBalancing_Static"
	ProjectGUID="{9B82507D-FECA-1BAD-C885-A8611C310431}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Debug\CosLoadBalancing_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="1"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				ProgramDataBaseFileName="..\..\..\lib\TAO_CosLoadBalancingsd.pdb"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_CosLoadBalancingsd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Static_Release\CosLoadBalancing_Static"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="ACE_AS_STATIC_LIBS;TAO_AS_STATIC_LIBS;NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="0"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="TRUE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\lib\TAO_CosLoadBalancings.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<Filter
				Name="CosLoadBalancing"
				Filter="">
				<File
					RelativePath="CosLoadBalancingC.cpp">
				</File>
				<File
					RelativePath="CosLoadBalancingS.cpp">
				</File>
				<File
					RelativePath="LB_ORTC.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ClientComponent.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ClientORBInitializer.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ClientRequestInterceptor.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_Component.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_CPU_Load_Average_Monitor.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_CPU_Utilization_Monitor.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_IORInterceptor.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LeastLoaded.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlert.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlert_Handler.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlertInfo.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAverage.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadManager.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadMinimum.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_MemberLocator.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ObjectReferenceFactory.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ORBInitializer.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_Pull_Handler.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_Random.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_RoundRobin.cpp">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ServerRequestInterceptor.cpp">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<Filter
				Name="CosLoadBalancing"
				Filter="">
				<File
					RelativePath="CosLoadBalancingC.h">
				</File>
				<File
					RelativePath="CosLoadBalancingS.h">
				</File>
				<File
					RelativePath="CosLoadBalancingS_T.h">
				</File>
				<File
					RelativePath="LB_ORTC.h">
				</File>
				<File
					RelativePath="LB_ORTS.h">
				</File>
				<File
					RelativePath="LB_ORTS_T.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ClientComponent.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ClientORBInitializer.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ClientRequestInterceptor.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_Component.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_CPU_Load_Average_Monitor.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_CPU_Utilization_Monitor.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_IORInterceptor.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LeastLoaded.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlert.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlert_Handler.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlertInfo.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAverage.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadManager.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadMinimum.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_MemberLocator.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ObjectReferenceFactory.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ORBInitializer.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_Pull_Handler.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_Random.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_RoundRobin.h">
				</File>
				<File
					RelativePath="LoadBalancing\LB_ServerRequestInterceptor.h">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Pkgconfig Files"
			Filter="in">
			<File
				RelativePath="TAO_CosLoadBalancing.pc.in">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="TRUE"
				>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Idl Files"
			Filter="idl">
			<File
				RelativePath="CosLoadBalancing.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on CosLoadBalancing.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GC -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_LoadBalancing_Export -Wb,export_include=orbsvcs/LoadBalancing/LoadBalancing_export.h &quot;CosLoadBalancing.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="CosLoadBalancingC.cpp;CosLoadBalancingC.h;CosLoadBalancingC.inl;CosLoadBalancingS.cpp;CosLoadBalancingS.h;CosLoadBalancingS.inl;CosLoadBalancingS_T.cpp;CosLoadBalancingS_T.h;CosLoadBalancingS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on CosLoadBalancing.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GC -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_LoadBalancing_Export -Wb,export_include=orbsvcs/LoadBalancing/LoadBalancing_export.h &quot;CosLoadBalancing.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="CosLoadBalancingC.cpp;CosLoadBalancingC.h;CosLoadBalancingC.inl;CosLoadBalancingS.cpp;CosLoadBalancingS.h;CosLoadBalancingS.inl;CosLoadBalancingS_T.cpp;CosLoadBalancingS_T.h;CosLoadBalancingS_T.inl"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="LB_ORT.idl">
				<FileConfiguration
					Name="Debug|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on LB_ORT.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GC -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_LoadBalancing_Export -Wb,export_include=orbsvcs/LoadBalancing/LoadBalancing_export.h &quot;LB_ORT.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="LB_ORTC.cpp;LB_ORTC.h;LB_ORTC.inl;LB_ORTS.h;LB_ORTS.inl;LB_ORTS_T.h;LB_ORTS_T.inl"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
				>
					<Tool
						Name="VCCustomBuildTool"
						Description="Invoking ..\..\..\bin\tao_idl on LB_ORT.idl"
						CommandLine="PATH=%PATH%;..\..\..\lib&#x0D;&#x0A;..\..\..\bin\tao_idl -Ge 1 -Wb,pre_include=ace\pre.h -Wb,post_include=ace\post.h -I$(TAO_ROOT) -I$(TAO_ROOT)/orbsvcs -GC -Wb,versioning_begin=TAO_BEGIN_VERSIONED_NAMESPACE_DECL -Wb,versioning_end=TAO_END_VERSIONED_NAMESPACE_DECL -Wb,export_macro=TAO_LoadBalancing_Export -Wb,export_include=orbsvcs/LoadBalancing/LoadBalancing_export.h &quot;LB_ORT.idl&quot;"
						AdditionalDependencies="..\..\..\bin\tao_idl.exe"
						Outputs="LB_ORTC.cpp;LB_ORTC.h;LB_ORTC.inl;LB_ORTS.h;LB_ORTS.inl;LB_ORTS_T.h;LB_ORTS_T.inl"/>
				</FileConfiguration>
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<Filter
				Name="CosLoadBalancing"
				Filter="">
				<File
					RelativePath="CosLoadBalancingS_T.inl">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LeastLoaded.inl">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAlert.inl">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadAverage.inl">
				</File>
				<File
					RelativePath="LoadBalancing\LB_LoadMinimum.inl">
				</File>
			</Filter>
				<File
					RelativePath="CosLoadBalancingC.inl">
				</File>
				<File
					RelativePath="CosLoadBalancingS_T.inl">
				</File>
				<File
					RelativePath="LB_ORTC.inl">
				</File>
				<File
					RelativePath="LB_ORTS_T.inl">
				</File>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<Filter
				Name="CosLoadBalancing"
				Filter="">
				<File
					RelativePath="CosLoadBalancingS_T.cpp">
					<FileConfiguration
						Name="Debug|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						ExcludedFromBuild="TRUE">
						<Tool
							Name="VCCLCompilerTool"/>
					</FileConfiguration>
				</File>
			</Filter>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
